/**********************************************************************************************************************************/
/* Project      : TAPER                                                                                                           */
/* Module       : SPECUDG.INC                                                                                                     */
/* Description  : Spectrum UDG font adjustment                                                                                    */
/* Version type : Include file                                                                                                    */
/* Last changed : 08-02-1997  16:00                                                                                               */
/* Update count : 1                                                                                                               */
/* OS type      : PC (DOS)                                                                                                        */
/* Compiler     : Watcom C32 Optimizing Compiler Version 10.x                                                                     */
/* Linker       : Watcom C Linker                                                                                                 */
/*                                                                                                                                */
/*                Copyleft (C) 1997-2001 ThunderWare Research Center, written by Martijn van der Heide.                           */
/*                                                                                                                                */
/*                This program is free software; you can redistribute it and/or                                                   */
/*                modify it under the terms of the GNU General Public License                                                     */
/*                as published by the Free Software Foundation; either version 2                                                  */
/*                of the License, or (at your option) any later version.                                                          */
/*                                                                                                                                */
/*                This program is distributed in the hope that it will be useful,                                                 */
/*                but WITHOUT ANY WARRANTY; without even the implied warranty of                                                  */
/*                MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                   */
/*                GNU General Public License for more details.                                                                    */
/*                                                                                                                                */
/*                You should have received a copy of the GNU General Public License                                               */
/*                along with this program; if not, write to the Free Software                                                     */
/*                Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                                     */
/*                                                                                                                                */
/**********************************************************************************************************************************/

#ifndef MOUSESHP_INC_INC
#define MOUSESHP_INC_INC

#pragma message          ("Including   : " __FILE__)

#define UDGSIZE          (('V' - 'A') * 8)

byte far SpectrumUDGs[UDGSIZE] = {
                             0x00,     /* 00000000        'A' */
                             0x3C,     /* 00111100            */
                             0x42,     /* 01000010            */
                             0x7E,     /* 01111110            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'B' */
                             0x7C,     /* 01111100            */
                             0x42,     /* 01000010            */
                             0x7C,     /* 01111100            */
                             0x42,     /* 01000010            */
                             0x7C,     /* 01111100            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'C' */
                             0x3C,     /* 00111100            */
                             0x42,     /* 01000010            */
                             0x40,     /* 01000000            */
                             0x42,     /* 01000010            */
                             0x3C,     /* 00111100            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'D' */
                             0x7C,     /* 01111100            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x7C,     /* 01111100            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'E' */
                             0x7E,     /* 01111110            */
                             0x40,     /* 01000000            */
                             0x7C,     /* 01111100            */
                             0x40,     /* 01000000            */
                             0x7E,     /* 01111110            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'F' */
                             0x7E,     /* 01111110            */
                             0x40,     /* 01000000            */
                             0x7C,     /* 01111100            */
                             0x40,     /* 01000000            */
                             0x40,     /* 01000000            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'G' */
                             0x3C,     /* 00111100            */
                             0x40,     /* 01000000            */
                             0x4E,     /* 01001110            */
                             0x42,     /* 01000010            */
                             0x3C,     /* 00111100            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'H' */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x7E,     /* 01111110            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'I' */
                             0x7C,     /* 01111100            */
                             0x10,     /* 00010000            */
                             0x10,     /* 00010000            */
                             0x10,     /* 00010000            */
                             0x7C,     /* 01111100            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'J' */
                             0x3E,     /* 00111110            */
                             0x08,     /* 00001000            */
                             0x08,     /* 00001000            */
                             0x48,     /* 01001000            */
                             0x30,     /* 00110000            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'K' */
                             0x46,     /* 01000110            */
                             0x58,     /* 01011000            */
                             0x60,     /* 01100000            */
                             0x58,     /* 01011000            */
                             0x46,     /* 01000110            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'L' */
                             0x40,     /* 01000000            */
                             0x40,     /* 01000000            */
                             0x40,     /* 01000000            */
                             0x40,     /* 01000000            */
                             0x7E,     /* 01111110            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'M' */
                             0x42,     /* 01000010            */
                             0x66,     /* 01100110            */
                             0x5A,     /* 01011010            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'N' */
                             0x62,     /* 01100010            */
                             0x52,     /* 01010010            */
                             0x4A,     /* 01001010            */
                             0x46,     /* 01000110            */
                             0x42,     /* 01000010            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'O' */
                             0x3C,     /* 00111100            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x3C,     /* 00111100            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'P' */
                             0x7C,     /* 01111100            */
                             0x42,     /* 01000010            */
                             0x7C,     /* 01111100            */
                             0x40,     /* 01000000            */
                             0x40,     /* 01000000            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'Q' */
                             0x3C,     /* 00111100            */
                             0x42,     /* 01000010            */
                             0x4A,     /* 01001010            */
                             0x46,     /* 01000110            */
                             0x3E,     /* 00111110            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'R' */
                             0x7C,     /* 01111100            */
                             0x42,     /* 01000010            */
                             0x7C,     /* 01111100            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'S' */
                             0x3C,     /* 00111100            */
                             0x40,     /* 01000000            */
                             0x3C,     /* 00111100            */
                             0x02,     /* 00000010            */
                             0x3C,     /* 00111100            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'T' */
                             0xFE,     /* 11111110            */
                             0x10,     /* 00010000            */
                             0x10,     /* 00010000            */
                             0x10,     /* 00010000            */
                             0x10,     /* 00010000            */
                             0x00,     /* 00000000            */
                             0xFF,     /* 11111111            */

                             0x00,     /* 00000000        'U' */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x42,     /* 01000010            */
                             0x3C,     /* 00111100            */
                             0x00,     /* 00000000            */
                             0xFF      /* 11111111            */
};

#endif
