/**********************************************************************************************************************************/
/* Project      : TAPER                                                                                                           */
/* Module       : TPSCREEN.H                                                                                                      */
/* Description  : Screen dump                                                                                                     */
/* Version type : Module interface                                                                                                */
/* Last changed : 04-01-1999  10:25                                                                                               */
/* Update count : 9                                                                                                               */
/* OS type      : PC (DOS)                                                                                                        */
/* Compiler     : Watcom C32 Optimizing Compiler Version 10.x                                                                     */
/* Linker       : Watcom C Linker                                                                                                 */
/*                                                                                                                                */
/*                Copyleft (C) 1997-2001 ThunderWare Research Center, written by Martijn van der Heide.                           */
/*                                                                                                                                */
/*                This program is free software; you can redistribute it and/or                                                   */
/*                modify it under the terms of the GNU General Public License                                                     */
/*                as published by the Free Software Foundation; either version 2                                                  */
/*                of the License, or (at your option) any later version.                                                          */
/*                                                                                                                                */
/*                This program is distributed in the hope that it will be useful,                                                 */
/*                but WITHOUT ANY WARRANTY; without even the implied warranty of                                                  */
/*                MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                   */
/*                GNU General Public License for more details.                                                                    */
/*                                                                                                                                */
/*                You should have received a copy of the GNU General Public License                                               */
/*                along with this program; if not, write to the Free Software                                                     */
/*                Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                                     */
/*                                                                                                                                */
/**********************************************************************************************************************************/

#ifndef TPSCREEN_H_INC
#define TPSCREEN_H_INC

#ifdef EXTERN
#undef EXTERN
#endif
#ifdef __TPSCREEN_MAIN__
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN bool  ScreenContainsFlash;                                                   /* TRUE if the screen has flashing characters */
EXTERN bool  FlashState;                                                                                    /* Flash state toggle */

EXTERN bool  UseDecryptUserValues;
EXTERN bool  DecryptAnything;
EXTERN byte  DecryptXOR;
EXTERN byte  DecryptADD;

EXTERN byte *WorkBuffer;

void DecryptBlock              (short WhichWindow, byte *Start, word Length);
void EncryptBlock              (short WhichWindow, byte *Start, word Length);
void WriteSCRFile              (short WhichWindow, byte *Buffer);
void WriteGIFFile              (short WhichWindow, short StartX, short StartY);
void PutSpectrumScreen         (byte *ScreenBuffer, short HorOff, short VerOff);
void ViewSpectrumHeader        (short WhichWindow);
void ViewSpectrumScreenBlock   (short WhichWindow, word BlockLength);
bool ViewSpectrumBASICListing  (short WhichWindow, word BlockLength, bool Snap128K);

void AllocateScreenBuffer      (void);

#endif
