/**********************************************************************************************************************************/
/* Project      : TAPER                                                                                                           */
/* Module       : TPSERPAR.H                                                                                                      */
/* Description  : Serial/Parallel port functions                                                                                  */
/* Version type : Module interface                                                                                                */
/* Last changed : 15-12-1997  16:15                                                                                               */
/* Update count : 3                                                                                                               */
/* OS type      : PC (DOS)                                                                                                        */
/* Compiler     : Watcom C32 Optimizing Compiler Version 10.x                                                                     */
/* Linker       : Watcom C Linker                                                                                                 */
/*                                                                                                                                */
/*                Copyleft (C) 1997-2001 ThunderWare Research Center, written by Martijn van der Heide.                           */
/*                                                                                                                                */
/*                This program is free software; you can redistribute it and/or                                                   */
/*                modify it under the terms of the GNU General Public License                                                     */
/*                as published by the Free Software Foundation; either version 2                                                  */
/*                of the License, or (at your option) any later version.                                                          */
/*                                                                                                                                */
/*                This program is distributed in the hope that it will be useful,                                                 */
/*                but WITHOUT ANY WARRANTY; without even the implied warranty of                                                  */
/*                MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                                   */
/*                GNU General Public License for more details.                                                                    */
/*                                                                                                                                */
/*                You should have received a copy of the GNU General Public License                                               */
/*                along with this program; if not, write to the Free Software                                                     */
/*                Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                                     */
/*                                                                                                                                */
/**********************************************************************************************************************************/

#ifndef TPSERPAR_H_INC
#define TPSERPAR_H_INC

#ifdef EXTERN
#undef EXTERN
#endif
#ifdef __TPSERPAR_MAIN__
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN bool ParallelRunning;

void Par_PlayInit  (void);
bool Par_PlayPulse (byte State, long PulseLength);
void Par_PlayStop  (void);

#endif
